apiVersion: batch/v1beta1
# change to v1 in k8s 1.21
kind: CronJob
metadata:
  name: pipeline-weekly-report
spec:
  schedule: "00 08 * * 3"
  concurrencyPolicy: Forbid
  failedJobsHistoryLimit: 3
  successfulJobsHistoryLimit: 3
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: OnFailure
          containers:
          - name: pipeline-weekly-report
            image: docker-images.jobtechdev.se/pipeline-weekly-report/pipeline-weekly-report:latest
            imagePullPolicy: Always
            securityContext:
              allowPrivilegeEscalation: false
            envFrom:
            - secretRef:
                name: pipeline-weekly-report-secrets
            resources:
              limits:
                cpu: "1000m"
                memory: "640Mi"
              requests:
                cpu: "1000m"
                memory: "640Mi"
